#
# spec file for package gtkhtml
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _gtkhtml_version 4.0
%define _gtkhtml_editor_version 4.0
%define _gtkhtml_api 4_0
%define _gtkhtml_editor_api 4_0
%define _gtkhtml_major 0
%define _gtkhtml_editor_major 0
Name:           gtkhtml
Version:        4.10.0
Release:        7.3
Summary:        Lightweight HTML rendering/printing/editing engine
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          System/Libraries
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/gtkhtml/4.10/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cairo) >= 1.10.0
BuildRequires:  pkgconfig(enchant) >= 1.1.7
BuildRequires:  pkgconfig(gail-3.0) >= 3.2.0
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.26.0
Requires:       gsettings-desktop-schemas

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine. It
was originally based on KHTMLW, part of the KDE project, but is now
being developed independently.

%package -n libgtkhtml-%{_gtkhtml_api}-%{_gtkhtml_major}
Summary:        Lightweight HTML rendering/printing/editing engine
Group:          System/Libraries
# For the lang package to be installable
Provides:       %{name} = %{version}
Provides:       %{name}-%{_gtkhtml_api} = %{version}
Obsoletes:      %{name} < %{version}
Provides:       gtkhtml2 = %{version}
Obsoletes:      gtkhtml2 < %{version}

%description -n libgtkhtml-%{_gtkhtml_api}-%{_gtkhtml_major}
GtkHTML is a lightweight HTML rendering/printing/editing engine. It
was originally based on KHTMLW, part of the KDE project, but is now
being developed independently.

%package -n libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major}
Summary:        Lightweight HTML rendering/printing/editing engine
Group:          System/Libraries
Recommends:     iso-codes

%description -n libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major}
GtkHTML is a lightweight HTML rendering/printing/editing engine. It
was originally based on KHTMLW, part of the KDE project, but is now
being developed independently.

%package -n glade-catalog-gtkhtml
Summary:        Lightweight HTML rendering/printing/editing engine -- Catalog for Glade
Group:          Development/Tools/GUI Builders
Requires:       glade
Requires:       libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major} = %{version}
Supplements:    packageand(glade:%{name}-devel)

%description -n glade-catalog-gtkhtml
GtkHTML is a lightweight HTML rendering/printing/editing engine. It
was originally based on KHTMLW, part of the KDE project, but is now
being developed independently.

This package provides a catalog for Glade, to allow the use of GtkHTML
widgets in Glade.

%package devel
Summary:        Lightweight HTML rendering/printing/editing engine -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libgtkhtml-%{_gtkhtml_api}-%{_gtkhtml_major} = %{version}
Requires:       libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major} = %{version}
Provides:       gtkhtml2-devel = %{version}
Obsoletes:      gtkhtml2-devel < %{version}

%description devel
GtkHTML is a lightweight HTML rendering/printing/editing engine. It
was originally based on KHTMLW, part of the KDE project, but is now
being developed independently.

This package contains all necessary include files and libraries needed
to develop applications that require these.

%lang_package -n %{name}-%{_gtkhtml_api}

%prep
%setup -q

%build
%configure \
        --disable-static \
        --with-glade-catalog
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}-%{_gtkhtml_version}
%fdupes %{buildroot}

%post -n libgtkhtml-%{_gtkhtml_api}-%{_gtkhtml_major} -p /sbin/ldconfig
%postun -n libgtkhtml-%{_gtkhtml_api}-%{_gtkhtml_major} -p /sbin/ldconfig
%post -n libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major} -p /sbin/ldconfig
%postun -n libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major} -p /sbin/ldconfig

%files -n libgtkhtml-%{_gtkhtml_api}-%{_gtkhtml_major}
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_datadir}/gtkhtml-%{_gtkhtml_version}/
%{_libdir}/libgtkhtml-%{_gtkhtml_version}.so.*

%files -n libgtkhtml-editor-%{_gtkhtml_editor_api}-%{_gtkhtml_editor_major}
%{_libdir}/libgtkhtml-editor-%{_gtkhtml_editor_version}.so.*

%files -n %{name}-%{_gtkhtml_api}-lang -f %{name}-%{_gtkhtml_version}.lang

%files -n glade-catalog-gtkhtml
%{_libdir}/glade/modules/libglade-gtkhtml-editor.so
%{_datadir}/glade/catalogs/gtkhtml-editor.xml

%files devel
%{_bindir}/gtkhtml-editor-test
%{_includedir}/libgtkhtml-%{_gtkhtml_version}/
%{_libdir}/libgtkhtml-%{_gtkhtml_version}.so
%{_libdir}/libgtkhtml-editor-%{_gtkhtml_editor_version}.so
%{_libdir}/pkgconfig/libgtkhtml-%{_gtkhtml_version}.pc
%{_libdir}/pkgconfig/gtkhtml-editor-%{_gtkhtml_editor_version}.pc

%changelog
* Fri Dec 16 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Drop baselibs.conf: there is no known consumer of the -32bit
  package.
* Mon Sep 20 2021 Stanislav Brabec <sbrabec@suse.com>
- Remove obsolete translation-update-upstream support
  (jsc#SLE-21105).
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Dec 14 2017 dimstar@opensuse.org
- Update package-name BuildRequires with their pkgconfig()
  equivalents and align with configure's checks:
  + Removed enchant-devel, gtk3-devel, iso-codes-devel,
    libsoup-devel
  + Add pkgconfig(enchant), pkgconfig(gtk+-3.0), pkgconfig(cairo),
    pkgconfig(gail-3.0), pkgconfig(iso-codes),
    pkgconfig(libsoup-2.4).
- Drop xz BuildRequires: xz has been implicit for a long time
  already.
* Fri Apr 15 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 4.10.0:
  + No code/translation changes.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 4.9.92:
  + bgo#729020: Drop gnome-icon-theme dependency.
  + bgo#729414: Correct spelling typos in devel docs and code
    comments.
  + bgo#729944: UTF-8 characters are not always encoded correctly.
  + bgo#732499: Use named colors from themes.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 4.8.5:
  + bgo#537825: Text cursor not erased when moved to new position.
  + bgo#737340: theme_text_color is no longer in gtk 3.14.
* Mon Aug 11 2014 zaitor@opensuse.org
- Update to version 4.8.4:
  + Miscellaneous: Add forgotten chain-up-s to parent's
    constructed() method.
* Wed Jul 16 2014 dimstar@opensuse.org
- Update to version 4.8.3:
  + Remove usages of deprecated gtk_widget_ensure_style().
  + Remove unused and obsolete gtkhtml-zip.in.
  + bgo#732499: Use named colors from themes.
* Wed Jul  2 2014 zaitor@opensuse.org
- Add baselibs.conf to spec as source1, following new distro
  policy.
* Tue Jul  1 2014 dimstar@opensuse.org
- Update to version 4.8.2:
  + bgo#729414: Correct spelling typos in devel docs and code
    comments.
  + bgo#729944: UTF-8 characters are not always encoded correctly.
  + Updated translations.
* Fri May  2 2014 zaitor@opensuse.org
- Update to version 4.8.1:
  + Drop gnome-icon-theme dependency (bgo#729020).
- Drop gnome-icon-theme BuildRequires: Following upstream changes.
* Mon Mar 24 2014 dimstar@opensuse.org
- Update to version 4.8.0:
  + Adjust to gtk+ a11y changes.
  + Updated translations.
- Drop gtkhtml-a11y-refactor.patch: Fixed upstream.
* Wed Feb 26 2014 mgorse@suse.com
- Add gtkhtml-a11y-refactor.patch -- fix atk classes to work with
  modern gtk (bgo#669441).
* Wed Jul 24 2013 zaitor@opensuse.org
- Update to version 4.6.6:
  + Bug Fixes: bgo#699574: gtk_selection_owner_set() breaks mouse
    wheel scrolling.
  + Other Changes:
  - Paste of HTML text removes leading/trailing whitespaces.
  - Skip \n and \r from whitespace recognition on HTML text
    paste.
  - Underline and strikeout lines out of its position in a
    printout.
  - Paragraph style drawn incorrectly after font style change.
  - Wrong cursor position after paste of text with <div></div>.
* Sun May 12 2013 dimstar@opensuse.org
- Update to version 4.6.5:
  + Bug Fixes:
  - bgo#691362: Return correct enum type 'PangoDirection' in
    'get_pango_base_direction'.
  - bgo#699757: Crash in gtkhtml_spell_checker_get_suggestions().
* Sun Feb 17 2013 dimstar@opensuse.org
- Update to version 4.6.4:
  + Schedule actions with higher idle priority (bgo#683867).
- Drop gtkhtml-schedule-higher-priority-actions.patch: fixed
  upstream.
* Sat Feb  9 2013 badshah400@gmail.com
- Add gtkhtml-schedule-higher-priority-actions.patch to schedule
  actions with higher idle priority (bgo#683867).
* Mon Feb  4 2013 dimstar@opensuse.org
- Update to version 4.6.3:
  + bgo#689476: Slow composer open (emoticon and color widget
    leaks).
  + Fix a memory leak (GtkhtmlFaceAction instance).
  + Updated translations.
* Sun Jan 13 2013 dimstar@opensuse.org
- Update to version 4.6.2:
  + Fix Crash on edit of an empty HTML signature (bgo#690029).
* Mon Nov 12 2012 dimstar@opensuse.org
- Update to version 4.6.1:
  + Updated translations.
* Sun Sep 23 2012 zaitor@opensuse.org
- Update to version 4.6.0:
  + Updated translations.
* Sun Sep  2 2012 dimstar@opensuse.org
- Update to version 4.5.91:
  + Bug fixed: Cannot insert a link before another one (bgo#681495)
  + Updated translations.
* Tue Aug 14 2012 dimstar@opensuse.org
- Upadte to version 4.5.5:
  + Add tooltips for editor toolbar items (bgo#681087)
  + Remove GDK_THREADS_ENTER and GDK_THREADS_LEAVE macros
  + Updated translations.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 4.5.3:
  + bgo#676218: Using Emoticon picker blocks input in composer
  + bgo#678479: Leading spaces in first line of <pre> are ignored
- Changes from version 4.5.2:
  + bgo#672582: Fix selection behavior inside <iframe>
  + bgo#675871: Hide gnu make extensions warnings for automake 1.12
  + bgo#676218: Using the color Picker blocks any input for
    composer.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 4.5.1:
  + bgo#671434: GtkhtmlEditor does not use the primary toolbar
    style.
  + Updated translations.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 4.4.4:
  + Leading spaces in first line of <pre> are ignored (bgo#678479).
* Mon Jun 18 2012 dimstar@opensuse.org
- Update to version 4.4.3:
  + Using the color Picker blocks any input for composer
    (bgo#676218).
* Mon May 14 2012 vuntz@opensuse.org
- Update to version 4.4.2:
  + bgo#672582: Fix selection behavior inside <iframe>
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 4.4.1:
  + bgo#666850: Grab focus on context menu popup in editor
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 4.4.0:
  + Updated translations.
* Mon Mar 19 2012 zaitor@opensuse.org
- Update to version 4.3.92:
  + Suppress deprecation warnings.
  + Updated translation.
* Tue Mar  6 2012 vuntz@opensuse.org
- Update to version 4.3.91:
  + Updated translations.
* Sun Feb  5 2012 dimstar@opensuse.org
- Update to version 4.3.5:
  + bgo#668215: Selection not highlighted with recent gtk+
  + Updated translations.
* Tue Dec 20 2011 vuntz@opensuse.org
- Update to version 4.3.3:
  + Remove *_DISABLE_SINGLE_INCLUDES macros.
  + Remove all *_DISABLE_DEPRECATED_FLAGS.
- Remove --disable-deprecated-warning-flags option from configure:
  it's gone now.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Mon Nov 21 2011 dimstar@opensuse.org
- Update to version 4.3.2:
  + Remove unnecessary g_thread_init() calls.
* Fri Oct 28 2011 dimstar@opensuse.org
- Update to version 4.3.1.1:
  + Work around libgthread shenanigans in GLib 2.31
- Changes from version 4.3.1:
  + Bugs fixed: bgo#626922, bgo#660983
  + Other Changes:
  - Let GtkFileChooser track its own last-used-folder.
  - Use GtkWidget::style_updated signal
  + Updated translations.
* Sun Oct 16 2011 vuntz@opensuse.org
- Update to version 4.2.1:
  + bgo#660983: Distribute gtkhtml-editor.xml in tarballs
  + Updated translations.
- Drop our copy of gtkhtml-editor.xml as source now that it's in
  the tarball.
* Thu Oct  6 2011 vuntz@opensuse.org
- Add iso-codes Recommends to libgtkhtml-editor-4_0-0 since the
  iso-codes data is used at runtime (but gtkhtml can survive
  without it).
* Wed Oct  5 2011 vuntz@opensuse.org
- Build and package the glade catalog (bnc#689575):
  + Manually ship gtkhtml-editor.xml as a source, since it's
    missing from the tarball.
  + Add pkgconfig(gladeui-2.0) BuildRequires.
  + Pass --with-glade-catalog to configure.
  + Create glade-catalog-gtkhtml subpackage.
* Sun Sep 25 2011 vuntz@opensuse.org
- Update to version 4.2.0:
  + Updated translations.
* Mon Sep 19 2011 vuntz@opensuse.org
- Update to version 4.1.92:
  + bgo#659217: Crash when disposing GtkHTML when it's still filled
  + Updated translations.
* Sun Sep  4 2011 vuntz@opensuse.org
- Update to version 4.1.91:
  + Updated translations.
* Fri Sep  2 2011 vuntz@opensuse.org
- Update to version 4.1.90.1:
  + bgo#657764: Explicitly link gtkhtml against libm
* Tue Aug 30 2011 vuntz@opensuse.org
- Update to version 4.1.90:
  + Updated translations.
* Mon Aug 15 2011 dimstar@opensuse.org
- Update to version 4.1.5:
  + bgo#655277: Remove 'No such language' runtime warning
  + Updated translations.
* Sun Jul 24 2011 vuntz@opensuse.org
- Update to version 4.1.4:
  + bgo#655002: GtkHTML still gets font settings from GConf
  + Updated translations.
- Remove gconf2-devel BuildRequires and add
  pkgconfig(gsettings-desktop-schemas) BuildRequires instead,
  following dependency changes.
- Add gsettings-desktop-schemas Requires, since the GSettings
  schemas are needed at runtime too.
* Mon Jul  4 2011 vuntz@opensuse.org
- Rename source package from gtkhtml2 to gtkhtml, to follow
  upstream name (bnc#696409).
- Add appropriate Provides/Obsoletes for the devel subpackage, and
  add Provides/Obsoletes for gtkhtml2 to libgtkhtml-4_0-0.
- Update to version 4.1.3:
  + Updated translations.
* Tue Jun 14 2011 vuntz@opensuse.org
- Update to version 4.1.2:
  + Add 'Copy Image' Option On Inline Email Images (bgo#601541)
  + Code cleanups.
  + Updated translations.
* Thu May 26 2011 vuntz@opensuse.org
- Update package names in baselibs.conf.
* Thu May 19 2011 dimstar@opensuse.org
- Update to version 4.1.1:
  + bgo#593572: Lack of feedback when there are no search hits.
  + Work around an accessibility crash.
  + Require gladeui-2.0 for Glade catalogs.
  + Updated translations.
- Replace Obsoletes <= with < to fix an rpmlint warning.
* Tue Apr 26 2011 fcrozat@novell.com
- Update to version 4.0.1:
  + Updated translations.
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 4.0.0:
  + Updated translations.
* Tue Mar 29 2011 fcrozat@novell.com
- Update to version 3.91.92:
  + bgo#644166: Add style class to primary toolbars
  + Updated translations.
- Changes from version 3.91.91:
  + bgo#614480: Avoid using G_TYPE_INSTANCE_GET_PRIVATE repeatedly.
- Changes from version 3.91.90:
  + Miscellaneous Fixes:
  - Bump GTK+ requirement to 3.0.
  + Bug Fixes:
  - bgo#641833: Cleanups and fixes for compiler warnings.
  - bgo#642656: Screen flickers black in body when replying
    email.
  - bgo#641765: Fix warnings from GCC 4.6.
- Changes from version 3.91.6:
  + Miscellaneous Fixes:
  - Add preview in Insert Image dialog.
  - No GtkWidget::extension-events property in Gtk3.
  - Adapt to recent GTK+ changes.
  - Fix drawing with gtk3.
  - Adapt to new GtkScrollable interface.
  - Drop support for gtk+-2.0.
  + Bug Fixes:
  - bgo#640533: Incorrect rendering with inner frames.
  - bgo#635571: Adapt size_request to gtk-3.0 change.
- Changes from version 3.91.5:
  + Other Changes:
  - Fix version mismatch in gtkhtml-editor.pc.in.
  - GtkhtmlComboBox: Fix runtime warnings with GTK3.
  + bgo#402693: Sending centered or right-aligned text doubles the
    spacing.
- Changes from version 3.91.4:
  + Miscellaneous Fixes:
  - Replace erroneous gtkhtml version with editor API version.
  - Bump gtkhtml API version to accomodate api break.
  + Bug Fixes: bgo#612344.
- Changes from version 3.91.3:
  + Bug Fixes:
  - bgo#635576: gtkhtml-editor-test link failure.
  - bgo#634578: Highlighting text in preview renders it
    invisible.
- Changes from version 3.91.2:
  + Bug Fixes: bgo#632601, bgo#632596, bgo#640072.
- Changes from version 3.91.1:
  + Bug Fixes: bgo#631321.
  + Disable deprecation warnings in DISTCHECK_CONFIGURE_FLAGS.
- Changes from version 3.91.0:
  + Update to work with latest GTK+.
  + Bug Fixes:
  - bgo#630360: Crash when inserting html file in composer.
- Add macros to handle more easily soname and version change
  across specfile
- Change BuildRequires from gtk2-devel to gtk3-devel
- Create additional subpackage libgtkhtml-editor-4_0-0
* Mon Nov 29 2010 andrea@opensuse.org
- added baselibs.conf to build -32bit library to make 3rd party
  applications works correctly
* Tue Nov 16 2010 dimstar@opensuse.org
- Update to version 3.32.1:
  + bgo#630360: Crash when inserting html file in composer
  + Updated translations.
* Thu Oct 28 2010 vuntz@opensuse.org
- Changes libgtkhtml-3_14-19 to have a gtkhtml-3_14 Provides
  instead of gtkhtml2-3_14 Provides. This makes the lang package
  installable.
* Sat Oct 16 2010 vuntz@opensuse.org
- Update packaging to use the shared library packaging policy:
  + Create libgtkhtml-3_14-19 subpackage.
  + Add Provides/Obsoletes for gtkhtml2 to libgtkhtml-3_14-19.
- Update summaries and descriptions.
- Rename the lang package to gtkhtml-3_14-lang, to match the name
  of the mo files.
- Remove explicit devel Requires in devel subpackage: they will be
  added automatically the pkgconfig() way.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 3.32.0:
  + Updated translations.
* Mon Sep 13 2010 vuntz@opensuse.org
- Update to version 3.31.92:
  + Build fixes.
  + bgo#613774: GtkHTMLStream should be freed by unref
  + bgo#623265: Various memory leaks
  + bnc#615511: Encoded question mark issues.
  + bnc#463936: Table insertion issues.
  + Updated translations.
* Mon Aug 30 2010 dimstar@opensuse.org
- Update to version 3.31.91:
  + Updated translations.
* Tue Aug 17 2010 dimstar@opensuse.org
- Update to version 3.31.90:
  + Add an option for disabling deprecated warning flags. We would
    handle the deprecated gdk gc past evolution-2.32
  + Remove GTK_DEST_DEFAULT_MOTION flag.
  + Remove -DGDK_DISABLE_DEPRECATED
  + bgo#605335: Alignment of horizontal rules is not saved
  + bgo#626090: Only set -fno-strict-aliasing for GCC
  + Updated translations.
- Pass --disable-deprecated-warning-flags to configure, to fix
  build with gtk 2.21.6 and newer.
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 3.31.6:
  + bgo#625171 - Crash while pasting text with links
  + bgo#610797 - Improve UTF-8 text sanitizing
  + bgo#624315 - Skip spelling update when no content set
  + Updated translations.
- Changes from version 3.31.5:
  + bgo#624149 - Check for NULL after
    gtkhtml_editor_run_open_dialog()
  + Work around sudden disapperance of GdkRegion in GTK+ 2.90.5.
  + Updated translations.
* Tue Jul 13 2010 dimstar@opensuse.org
- Update to version 3.31.4:
  + bgo#444709 - Add support for multimedia keys
  + bgo#344076 - Crash after closing an inline view of text
    attachment
  + bgo#607324 - Crash doing table editing
  + Remove bogus drag destination targets
  + Split target lists for drag source and drag destination
  + Build with gtk3 and have backward compatibility
  + Updated translations.
- Changes from version 3.31.3:
  + Updated translations.
- Changes from version 3.31.2:
  + bgo#220672 - Excessive autosaving uses lots of resources
  + bgo#512468 - Wrap Lines keeps spaces in quoted text
  + bgo#597111 - Line wrap only acts on current paragraph
    regardless selection
  + bgo#615294 - Does not compile with -DGSEAL_ENABLE
  + bgo#618368 - Doesn't make all pasted links clickable
  + Updated translations.
- Changes from version 3.31.1:
  + bgo#575038 - Cursor/caret mode breaks magic spacebar
  + bgo#247302 - Wrong letter color with HTML content rendering
  + bgo#615205 - Translations not working in Emoticons and
    Find/Replace dialogs.
  + bgo#602634 - Not fully supported list types
  + bgo#461203 - Do not select text on drop abort
  + bgo#551554, bgo#514611, bgo#325121
  + Use gtk_accessible_get_widget() if available.
  + Fix most GSEAL issues.
  + Updated translations.
* Thu Apr 29 2010 lakhil@novell.com
- Update to version 3.30.1:
  + Updated translations
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 3.30.0:
  + bgo#612168 - Crash while pasting over a selection
  + bgo#613181 - Mistakenly removed statement
  + Remove redundant "DISABLE_DEPRECATED" flags.
  + Work around recent GTK+ deprecations.
  + Fix configure output for iso-codes check.
  + Updated translations.
* Fri Mar 12 2010 dimstar@opensuse.org
- Update to version 3.29.92.1:
  + Work around GTK_WIDGET_STATE deprecation so the tarball
    successfully builds against GTK+ 2.19.7.
- Drop gtkhtml2-gtk2.19.7.patch.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 3.29.92:
  + Work around recent GTK+ deprecations.
  + Updated translations.
- Add gtkhtml2-gtk2.19.7.patch to fix build with gtk 2.19.7.
  Reported and sent upstream as bgo#612426.
* Mon Feb 22 2010 vuntz@opensuse.org
- Update to version 3.29.91:
  + Updated translations.
* Mon Feb  8 2010 captain.magnus@opensuse.org
- Update to version 3.29.90:
  + Warn on console when finalizing HTMLEngine with opened streams
  + Disable strict aliasing optimization
  + Translation updates
* Mon Jan 25 2010 vuntz@opensuse.org
- Update to version 3.29.6:
  + bgo#600754 - Check for enchant >= 1.1.7
  + bgo#606167 - Crash on composer Link editing
  + bgo#591463 - Build fixes
  + bgo#494986 - Clicking URL moves view to the top in caret mode
  + Add gtkhtml_editor_insert_text()
  + Fix dead assignments found by clang.
  + Updated translations.
* Mon Jan 11 2010 captain.magnus@opensuse.org
- Update to version 3.29.5:
  + bgo#606244 - Remove usage of deprecated GTK+ symbols
  + bgo#604561 - Copy popup action shown with no text selected
  + bgo#605587 - draw_spell_error() doesn't restore GC fill style
  + Allow overriding the HTML widget in GtkhtmlEditor
  + Remove duplicate policy supplied by EWebView
  + Change GtkHTML::url-requested to G_SIGNAL_RUN_LAST
  + Translation updates
* Wed Dec 23 2009 vuntz@opensuse.org
- Update to version 3.29.4:
  + bgo#366035 - Header expander image drag drop crash
  + bgo#603342 - Memory leak fix
  + Support remote locations when inserting files into editor.
  + Updated translations.
* Mon Dec  7 2009 vuntz@opensuse.org
- Remove workaround for en@shaw on 11.3.
* Wed Dec  2 2009 dimstar@opensuse.org
- Update to version 3.29.3:
  + Updated translations
- Changes from version 3.29.2:
  + bgo#471687 - Crash selecting mail content
  + bgo#600042 - Hyperlink dialog doesn't allow more hyperlinks
  + Allow "select-all" command in read-only mode
  + Add gtk_html_unselect_all() for clearing selections
- Changes from version 3.29.1
  + bgo#598635 - Not all hyperlinks are ctrl-clickable in mail
    composer
  + bgo#598567 - Can only insert local image files
  + bgo#580142 - Email with PRE HTML Tags Should Wrap When Printed
  + bgo#598159 - Context popup clears a selection
  + bgo#344008 - Broken context-sensitive spell check
  + bgo#593570 - Text entry not focused when find dialog shown
- Drop gtkhtml2-crash-editing.patch, upstream fixed.
- Remove en@shaw locale folder; bnc#559206.
* Sun Oct  4 2009 vuntz@opensuse.org
- Add gtkhtml2-crash-editing.patch taken from git to fix a crash.
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 3.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 3.27.92:
  + bgo#593570 - Text entry not focused when find dialog shown
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 3.27.91:
  + Updated translations.
* Mon Aug 10 2009 vuntz@novell.com
- Update to version 3.27.90:
  + Bug Fixes:
  - bgo#586076 - [external-editor] Pass cursor pos to vim - new
    API
  - bgo#589039 - Error in frameset append
  - bgo#340212 - Using Ctrl+Backspace copies to clipboard
  + Other Fixes:
  - Enforce including only top-level GLib and GTK+ headers.
  + Updated translations.
* Tue Jul 28 2009 lmedinas@gmail.com
- Update to version 3.27.5:
  + Bug Fixes:
  - bgo#584243 - Crash when replacing a mispelled word
  + Other Fixes:
  - Fix some build tool warnings.
  + Updated translations.
* Tue Jul 21 2009 vuntz@novell.com
- Update to version 3.27.4:
  + Bug Fixes:
  - bgo#585959: Add G_THREAD dependency for the test binary
  - bgo#586809: Enable "silent rules" automake 1.11 option
  - bgo#582505: Use GtkBuilder instead of libglade
  + Other Fixes:
  - Work around deprecation of g_mapped_file_free().
  - Remove INSTALL from source control.
  - Makefile cleanups.
  - Remove markup from translatable strings
  - Use AM_CPPFLAGS instead of INCLUDE in all Makefile.am.
  - Require automake 1.9.
- Remove libglade2-devel BuildRequires.
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 3.27.3:
  + bgo#584762: support cookies if libsoup>2.26
  + bgo#582784: Get rid of deprecated libgnome(ui)
  + Killing libgnome by removing libgnome function by equivalent
    glib functions
  + Code cleanup
- Remove libgnomeui-devel BuildRequires.
* Wed May 27 2009 vuntz@novell.com
- Update to version 3.27.2:
  + bgo#578213 - The -q of grep should not use in Solaris
  + bgo#578394 - HTML images cannot be scaled to more than 100 px
  + Updated translations.
* Tue May  5 2009 vuntz@novell.com
- Update to version 3.27.1:
  + bgo#494986 - Do not block view update when cursor changed in
    any frame of the whole hierarchy.
  + bgo#581228 - tarball does not provide gtkhtml-editor
  + bgo#580946 - Remove usage of deprecated gtk api
  + bgo#494986 - Do not centre to cursor position on click over URL
    and draw event.
  + bgo#571743 - Kill the deprecated html-editor component and
    remove any trace of it from the build files.  Buh bye, Bonobo.
  + bgo#576684 - implement pixel sized font units in
    gtk_html_set_fonts and html_painter_alloc_font
  + bgo#574335 - Use a proper format string ("%%s") for g_warning.
  + bgo#573046 - Get rid of deprecated GTK_CHECK_*
  + Updated translations.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 3.26.1.1:
  + bgo#573046: Replace deprecated GTK_CHECK_* with G_TYPE_CHECK_*
    equivalents
  + bgo#574335: Use proper format strings ("%%s")
  + Updated translations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 3.26.0:
  + Bug fixes.
  + Updated translations.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 3.25.92:
  + bgo#549838 : Revert workarounds for HTML entities
  + bgo#569365 : Do not draw a cursor without a window
  + bgo#570276 : Change Word Wrap accelerator to CtrlK
  + bgo#570728 : Use gtk_show_uri in html-editor
  + bgo#571621 : Replace a g_assert() with g_return_if_fail()
  + bgo#571654 : Clear also primary selection
  + bgo#571738 : Remove unused libart_lgpl includes
  + Updated translations.
- Remove AutoReqProv: it's default now.
- Remove -fno-strict-aliasing from compilation flags.
* Mon Feb 16 2009 mboman@suse.de
- Update to version 3.25.91:
  + bgo#569365 : Do not draw a cursor without a window
  + bgo#570276 : Change Word Wrap accelerator to CtrlK, since
    CtrlBackspace doesn't work apparently
  + Added smileys in translator comments to be easier to translate
    without referring to source code
  + Translation updates
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Feb  3 2009 mboman@suse.de
- Update to version 3.25.90:
  + bnc#464064 : Evolution crashed - pressing ctrl+z (undo) in
    composer window
  + bnc#465432 : Deleting Text In Table Deletes To End Of String
  + bgo#532165 : Do not crash when factory gone
  + bgo#567697 : Do not strip invalid entities, rather return them
    back as text
  + bgo#567733 : Handle the "popup-menu" signal
  + Translation updates
* Mon Feb  2 2009 mboman@suse.de
- Update to version 3.25.5:
  + bgo#564529 : Fix what we can with GSEAL_ENABLE defined
  + bgo#565491 : Preserve up to one leading space when parsing HTML
  + bgo#565491 : Preserve leading space only when in the editing mode
  + bgo#565493 : Ignore the action activation if 'ignore_style_change' is set
  + bgo#566014 : New 'default-transparent' boolean property
  + bgo#567130 : Use the localization domain when initializing the Glade UI
  + Translation updates
- Remove bnc-443551-background-table-colors.patch. Fixed upstream
- Remove bnc-449966-gtkhtml-replace-dialog.patch. Fixed upstream
* Sun Jan 25 2009 vuntz@novell.com
- Really remove bgo-555388-undo-table.patch,
  bgo-565493-ignore-style-change.patch,
  bnc-465432-delete-table-text.patch.
- Remove bnc-464064-table-goes-null.patch that was left after some
  merge.
- gail-devel does not exist anymore (it's included in gtk2).
- Remove useless BuildRequires on perl-XML-Parser.
* Wed Jan 21 2009 psankar@suse.de
- bnc-464064-table-goes-null.patch: Undo causing tables to go null
* Fri Jan 16 2009 psankar@suse.de
  Patches backported from upstream to improve stability
  bgo-555388-undo-table.patch - Undo on composer hangs evolution
  bgo-565493-ignore-style-change.patch - Do no lose formatting on style change
  bnc-465432-delete-table-text.patch - Allow to delete text in tables
* Fri Jan  9 2009 mboman@suse.de
- Pruned changes from the factory submission:
  + Remove bgo-330452-spell-suggestions.patch. Fixed upstream
  + Remove bgo-562323-insert-link.patch. Fixed upstream
  + Remove bgo-564248-gtkhtml-copy-paste-images.patch. Fixed upstream
* Wed Jan  7 2009 abharath@suse.de
- Patches added
  + bgo#330452 - bgo-330452-spell-suggestions.patch - Automatic spell
  check suggestions should be first level menu option.
  + bgo#562323 - bgo-562323-insert-link.patch - Evolution inserts
  a link incorrectly.
  + bgo#564248 - bgo-564248-gtkhtml-copy-paste-images.patch - Support
  Copy And Paste Of Images.
  + bnc#449966 - bnc-449966-gtkhtml-replace-dialog.patch - Unlocalised
  Text on the Replace Dlg in Evolution.
  + bnc#443551 - bnc-443551-background-table-colors.patch - Evolution
  does not use selected background color inside table.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 3.25.4:
  + bgo#536625: Free the string returned by html_tokenizer_next_token()
  + bgo#552357: Fixes invalid reads and memory usage
  + Translation updates
* Tue Dec 23 2008 msuman@suse.de
- Update to version 3.25.3:
  + Bugs fixed: bgo#330452, bgo#338921, bgo#555420, bgo#562323,
    bgo#472517, bgo#552357, bgo#553995, bgo#555388, bgo#563841
  + Updated translations
- Dropped:
  + gtkhtml-im-crash.patch - fixed upstream
- Use proper RPM macros in the spec file, remove unnecessary 'Requires'
* Fri Nov  7 2008 psankar@suse.de
- Push gtkhtml 3.24.1.1 tarball
  + Bug fixes: bgo #338921
  + Translation changes
* Wed Oct 22 2008 mboman@suse.de
- Update to version 3.24.1:
  + bgo#546155: Composer crash after pasting text and deleting parts of it
  + bgo#548540: Spellchecker reports possessive plurals (e.g. "horses'") as
    misspelled
  + bgo#554326: Critical warning when opening new composer and have preset
    a signature
  + bgo#554424: Spellchecker breaks after enabling more languages
  + bgo#554849: Unlocalized strings in Compose mail dialog
  + bgo#556239: Inline spell-check not redone after changing the language
  + Translation updates
- Remove gtkhtml-spellcheck.patch. Fixed upstream
* Tue Oct  7 2008 sbrabec@suse.cz
- Fix spell checker if more languages are active (bgo#554424).
* Mon Sep 22 2008 maw@suse.de
- Update to version 3.24.0:
  + Bugs fixed: bgo#423395 and bgo#549232
  + Updated translations.
* Fri Sep 12 2008 maw@suse.de
- Update to version 3.23.92:
  + Bug fixed: bgo#516680
  + Updated translations.
* Thu Sep  4 2008 mboman@novell.com
- Update to version 3.23.91:
  + Updated translations.
* Thu Aug 28 2008 maw@suse.de
- Update to version 3.23.90:
  + Bugs fixed: bgo#540794 and bgo#543318
  + Updated translations.
* Tue Aug  5 2008 maw@suse.de
- Update to version 3.23.6:
  + Bugs fixed: bgo#244888, bgo#408707, bgo#423395, bgo#446894,
    bgo#493783, bgo#538703, bgo#539289, bgo#540342, bgo#540929,
    bgo#542567, and bgo#545559
  + Updated translations.
* Wed Jun 18 2008 maw@suse.de
- Update to version 3.23.4:
  + Bugs fixed: bgo#533741, bgo#536635, and bgo#537397
  + Updated translations.
* Mon Jun 16 2008 maw@suse.de
- Update to version 3.23.3:
  + Bugs fixed: bgo#524338, bgo#525996, bgo#266206, bgo#339093,
    bgo#458369, bgo#483745, bgo#512046, bgo#520711, bgo#525977, and
    bgo#526152
  + Several useless widget labels are no longer translated
  + Updated translations
- Drop obsolete patch: bgo-524338-mail-flicker.diff.
* Wed May 21 2008 msuman@suse.de
- Added
  + bgo-524338-mail-flicker.diff (Srinivasa Ragavan) (bnc#377784)
* Wed Apr  9 2008 maw@suse.de
- Update to version 3.18.1:
  + Bug fixed: bgo#520711
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version 3.18.0:
  + Updated translations.
* Tue Mar  4 2008 maw@suse.de
- Update to version 3.17.92:
  + Bug fixed: bgo#391730
  + Misc. compilation fixes
  + Updated translations.
* Thu Jan 31 2008 maw@suse.de
- Update to version 3.17.90.1:
  + Support for Anchors (Frame/IFRAME)
  + Bugs fixed: bnc#371011, bnc#431190, bnc#447122, bnc#489456,
    bnc#491210, and bnc#505819
  + libsoup updates
  + Build fixes
  + Updated translations
- Add gtkhtml-g_strfunc.patch.
* Mon Jan 14 2008 maw@suse.de
- Update to version 3.17.5:
  + Bugs (bugzilla.gnome.org) fixed: #317823, #447122, #467791,
    [#493709], #498089, and #504051
  + Updated translations.
* Tue Dec 18 2007 maw@suse.de
- Update to version 3.17.4:
  + Bugs (bugzilla.gnome.org) fixed: #501724, #271551, #435620,
    [#494170], #495073, #500398, #318592, #334675, #431606, #478670,
    [#258374], #349046, #434631, #485700, #487841, and #488167
  + Updated translations.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 3.16.0:
  * updated translations
* Mon Sep 10 2007 maw@suse.de
- Update to version 3.15.92:
  + Bug (bugzilla.gno,e.org) fixed: #470451
  + Updated translations.
* Wed Aug 29 2007 maw@suse.de
- Update to version 3.15.91:
  + Bugs (bugzilla.gnome.org) fixed: #262907, #270487, #343994,
    [#346004], #419350, #352646, #373648, #394182, #407365, #426496,
    [#432914], and #455799
  + Updated translations.
* Fri Aug 10 2007 ro@suse.de
- move version line up in specfile (before first use)
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Tue Jul 31 2007 mauro@suse.de
- Update to version 3.15.6
- bugzilla.gnome.org fixed: #380534, #455444.
* Fri Jul 20 2007 maw@suse.de
- Update to version 3.15.5
- bugzilla.gnome.org bugs fixed:
  [#347347]: Emit correct signal when moving caret in composer window
  (Yi Jin)
  [#438945]: Emit correct signal when using Ctrl+Backspace in composer
  window (Yi Jin)
  [#446894]: Clean up printing in Evolution's Mailer (Matthew Barnes)
  [#449995]: Glade data should not get deleted when running "make
  distclean" (Yi Jin)
  [#453320]: Emit correct signal when deleting text (Li Yuan)
  [#443219]: Crash when definding frames with out inner frames (Milan Crha)
  [#444104]: Removed space after trailing slash, fixes build problem
  with automake 1.6. (Nickolay V. Shmyrev)
  [#407363]: Added mnemonic for paste quotation menuitem (Bharathi
  Gauthaman)
  [#347347] - Make message "object:text-caret-moved" generated when
  user hits left/right key with shift key held down (Yi Jin)
  [#331813] - Fix URL highlighting of sip/h323 addresses (Gilles
  Dartiguelongue)
  [#420493] - Setting the width of a rule doesn't take effect (Ebby
  Wiselyn)
  [#349773] - Support searching UTF-8 strings. (Xiurong Simon Zheng)
  [#410317] - Memory leak fixes (nix)
  [#374869] - On Caret mode, message scrolls to the bottom of the
  list. (Sankar P)
  [#419350] - fix emoticons use (Sebastien Bacher)
- Updated translations
* Wed Apr 11 2007 maw@suse.de
- Update to version 3.14.1
- Fixes for bugzilla.gnome.org #374869 and #419350
- Updated translations for the gl, dz, eu, and es locales.
* Thu Mar 22 2007 maw@suse.de
- Update to version 3.14.0
- intltool update.
* Mon Feb 19 2007 maw@suse.de
- Update to version 3.13.91
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Wed Jan  3 2007 sbrabec@suse.cz
- Spec file cleanup.
* Wed Jan  3 2007 maw@suse.de
- Move to /usr.
* Thu Dec 28 2006 jhargadon@suse.de
- removed unneeded libtool files (#223688)
* Mon Nov 20 2006 vvaradhan@novell.com
- update to version 3.12.2
- translation updates
- Fixes:
  License updates
  350981 - crash in htmlgdkpainter.c
* Fri Oct 13 2006 danw@suse.de
- Remove dead patches
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 3.12.1
- translation updates
* Mon Sep  4 2006 aj@suse.de
- Update to final version 3.12.0:
  Adds gtkhtml-missing_include.patch.
* Thu Aug 31 2006 jhargadon@suse.de
- update to version 3.11.92
- translation updates
* Mon Aug 21 2006 jhargadon@suse.de
- update to version 3.11.91
- updates to translations
- Font rendering now with Cairo
- many bug fixes
* Mon Mar 27 2006 vvaradhan@novell.com
- Fixes (bnc)
  127570 New mail takes about 20 sec
* Mon Mar 20 2006 vvaradhan@novell.com
- Fixes (bgo)
  334814 Wrong html generation of bullet list
- Removed gtkhtml-warnings.patch: the above patch fixes compiler
  warnings as well.
* Mon Mar 13 2006 vvaradhan@novell.com
- Fix gtkhtml2.spec to look for appropriate tarball
* Mon Mar 13 2006 vvaradhan@novell.com
- Update to version 3.10.0 - Fixes (bgo)
  332807  Copy contact to address book causes
  Evolution to crash.
  323450 	Possible cleanups for gtkhtml
  331528 	Warning from Evolution with a11y enabled
  331546 	Critical warning and crash when clicking on a
  link with a11y enabled
  203003 	tags incorrectly discarded in textarea blocks
* Tue Feb 28 2006 sbrabec@suse.cz
- Build with optimization.
* Mon Feb 27 2006 vvaradhan@novell.com
- Update to version 3.9.92
- Fixes: (in bgo)
  326366: crash on startup (critical warning)
  274400: Html-editor crashes when editing a specific html file.
  327850: Evolution crashes with Redo operation twice in paste
  quatations.
  328270: Evolution crashes when deleting table cells copied
  from some special html file
  330382: Evolution hangs when navigating mails with both RTL
  and LTR texts in caret mode
  301015: Crash on ctrl-shift-D then ctrl-shift-left when
  composing email
  318973: Caret Mode broken
  300429: Copy paste Issue, in Compose Dialog
  318697: Auto email-link creation causing rendering error
  (extra character)
  274499: Crash on opening Find dialog with Ctrl-F
  310990: does not find the first instance of the search-text
  if there are more than one instance
  313662: evolution crashed rendering a message
  328322: sftp URLs get highlighted as ftp URLs
  328522: Evolution crashes when click on the find buttons
  240320: copy+paste whole text part into composer creates table
  (plus few more...)
* Sun Feb 12 2006 ro@suse.de
- add missing include statement to silence compiler warning
* Fri Feb 10 2006 vvaradhan@novell.com
- Update to version 3.9.90
* Sat Feb  4 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 3.8.2
* Wed Oct 12 2005 gekker@suse.de
- Update to version 3.8.1
* Mon Sep  5 2005 mmj@suse.de
- Update to version 3.8.0 (GNOME 2.12)
* Thu Aug 25 2005 gekker@suse.de
- Update to version 3.7.7
- Remove upstreamed patch
* Sat Aug 13 2005 aj@suse.de
- Add lzo and lzo-devel to nfb.
* Thu Aug 11 2005 gekker@suse.de
- Update to version 3.7.6
* Mon Aug  1 2005 gekker@suse.de
- Update to version 3.7.5
* Fri Jul 22 2005 gekker@suse.de
- Update to version 3.7.4
- Fix unintialized variables
- Fix Requires: for -devel
* Tue Jun 28 2005 gekker@suse.de
- Update to version 3.7.2
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Fri Mar 18 2005 gekker@suse.de
- Fixes for html-editor (x73409, x73821)
* Wed Mar 16 2005 gekker@suse.de
- Update to version 3.6.1
* Tue Mar  8 2005 gekker@suse.de
- update to version 3.6.0 (GNOME 2.10).
* Wed Mar  2 2005 gekker@suse.de
- Update to version 3.5.7
* Wed Feb  9 2005 gekker@suse.de
- Update to version 3.5.6
* Sat Feb  5 2005 gekker@suse.de
- Update to version 3.5.5
* Mon Jan 31 2005 sbrabec@suse.cz
- Added IM crash patch from Hiroyuki Ikezoe (#50247).
* Fri Jan 14 2005 clahey@suse.de
- Updated to version 3.5.3.
* Thu Jan  6 2005 gekker@suse.de
- Update to version 3.5.2
* Tue Dec  7 2004 gekker@suse.de
- update to version 3.2.4 (Ximian 70057)
* Mon Nov 29 2004 gekker@suse.de
- Updated to version 3.2.3
- Removed patch for #67707, included in new version
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Fri Oct  8 2004 dobey@suse.de
- Apply patch to fix bug #67707 in bugzilla.ximian.com
* Thu Sep 23 2004 dobey@suse.de
- Updated to version 3.2.2
* Mon Sep 13 2004 dobey@suse.de
- Updated to version 3.2.1
* Fri Aug 27 2004 dobey@suse.de
- Updated to version 3.2.0
* Fri Aug 13 2004 dobey@suse.de
- Updated to version 3.1.20
- Added deps to gtkhtml2-devel package
* Thu Aug  5 2004 dobey@suse.de
- Added build deps for gnutls libs from libsoup
* Tue Aug  3 2004 dobey@suse.de
- Updated to version 3.1.19
* Wed Jul 28 2004 dobey@suse.de
- Updated to version 3.1.18
* Tue Jul 13 2004 clahey@suse.de
- Updated to version 3.1.17.
* Fri Jun  4 2004 clahey@suse.de
- Updated to version 3.1.16.
* Fri Jun  4 2004 mibarra@suse.de
- Updated to version 3.1.15
* Sat May 22 2004 mibarra@suse.de
- Updated to version 3.1.14.
* Tue May 18 2004 clahey@suse.de
- Updated to version 3.1.12.
* Mon Mar  8 2004 hhetter@suse.de
- updated to version 3.0.10
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Aug  5 2003 sbrabec@suse.cz
- Needed package rename soup2 -> libsoup.
* Mon Aug  4 2003 hhetter@suse.de
- let autoreconf install missing files
- updated to version 3.0.8
* Thu Jul 24 2003 hhetter@suse.de
- build with intend
* Fri Jul 18 2003 sbrabec@suse.cz
- Updated to version 3.0.7.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul  3 2003 sbrabec@suse.cz
- Devel file must depend on gtkhtml2, not gtkhtml.
* Sun Jun 29 2003 ro@suse.de
- use find_lang
- added directory to filelist
* Wed Jun  4 2003 sbrabec@suse.cz
- Package renamed to gtkhtml2.
- Updated to version 3.0.4.
* Tue May 27 2003 sbrabec@suse.cz
- Require gnome-spell2 (installing spell component is optional, but
  highly recommended).
* Mon May 26 2003 sbrabec@suse.cz
- Fixed libtool linking problems.
* Fri May 23 2003 sbrabec@suse.cz
- Initial SuSE version of branch 3.
